package cn.palmte.work.model.enums;

/**
 * 合作类型：1战略合作类，2非战略合作类
 *
 * @author <a href="https://github.com/TAKETODAY">Harry Yang</a>
 * @since 2.0 2022/12/14 15:20
 */
public enum CooperationType implements Enumerable<Integer> {

  STRATEGIC_COOPERATION(1, "战略合作类"),
  NOT_STRATEGIC_COOPERATION(2, "非战略合作类");

  private final int value;
  private final String description;

  CooperationType(int value, String description) {
    this.value = value;
    this.description = description;
  }

  public String getDescription() {
    return description;
  }

  @Override
  public Integer getValue() {
    return value;
  }
}
